<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Temperature</title>
</head>
<body>

<script language="JavaScript">
    var sum=0;
    var temperatureLog = [78, 60, 62, 68, 71, 68, 73, 85, 66, 64, 76, 63, 75, 76, 73, 68, 62, 73, 72, 65, 74, 62, 62, 65, 64, 68, 73, 75, 79, 73];


    for( var i=0; i<temperatureLog.length; i++){
        sum += temperatureLog[i];
    }

    var avgTemp = sum  / temperatureLog.length;

    document.write("Average Temperature is : ["+avgTemp+ "] <br>");

    temperatureLog = temperatureLog.sort();

    var unique = Array.from(new Set(temperatureLog));



    document.write("List of five lowest temperatures : [ ");

    for(var i=0; i<5; i++){
        if(i==4) document.write(unique[i] + " ");
        else document.write(unique[i] + ", ");
    }

    document.write("]<br>");

    document.write("List of five highest temperatures : [ ") ;
    for(var i=0; i<temperatureLog.length - 5; i++){

        if(i==4) document.write(unique[i]+" ");
        else document.write(unique[i]+",");

    }

    document.write("]<br> ");

</script>
</body>
</html>